%global _empty_manifest_terminate_build 0
Name:           python-pytest-html
Version:        3.2.0
Release:        1
Summary:        pytest plugin for generating HTML reports
License:        Mozilla Public License 2.0 (MPL 2.0)
URL:            https://github.com/pytest-dev/pytest-html
Source0:        https://files.pythonhosted.org/packages/12/fb/243962e70fc04fa85b4d44b988d45f15f1bde02fd1024a911befe565c866/pytest-html-3.2.0.tar.gz
BuildArch:      noarch

%description
pytest plugin for generating HTML reports

%package -n python3-pytest-html
Summary:        pytest plugin for generating HTML reports
Provides:       python-pytest-html = %{version}-%{release}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-hatchling
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-metadata
BuildRequires:  python3-py
Requires:       python3-pytest
Requires:       python3-pytest-metadata
Requires:       python3-py
%description -n python3-pytest-html
pytest plugin for generating HTML reports

%package help
Summary:        pytest plugin for generating HTML reports
Provides:       python3-pytest-html-doc
%description help
pytest plugin for generating HTML reports

%prep
%autosetup -n pytest-html-%{version}

%build
%pyproject_build

%install
%pyproject_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} setup.py test

%files -n python3-pytest-html -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*
%{python3_sitelib}/pytest_html/*

%changelog
* Wed Jul 05 2023 zjyabsa <jyzhangcf@isoftstone.com> - 3.2.0-1
- Update package to version 3.2.0

* Wed Dec 07 2022 liqiuyu <liqiuyu@kylinos.cn> - 3.2.0-1
- Update package to version 3.2.0

* Tue Aug 03 2021 OpenStack_SIG <openstack@openeuler.org> - 3.1.1-1
- Package Spec generate
